{% extends "src/elements/_template.njk" %}
{% set title = "Загрузка ретро данных" %}
{% block content %}

    <div class="custom-header">
        <a href="#" class="custom-header__backward">
            {{ svgIcon('backward', viewBox='0 0 36 36') }}
        </a>
        <div class="custom-header__content">
            <h1 class="custom-header__title">{{ title }}</h1>
        </div>
        <a href="#" class="custom-header__close">
            {{ svgIcon('close') }}
        </a>
    </div><!-- .custom-header -->

    <div class="white-block">
        <div class="white-block__form">
            <div class="white-block__field">
                <div class="form-label">Клиенты</div>
                <div class="options options-easy" data-options>
                    <input type="hidden" name="category_01" value="" data-options-values>
                    <div class="options__control" data-options-control>
                        <div class="options__selected" data-options-selected="Выберите клиентов" data-options-label="Выбрано клиентов"></div>
                    </div><!-- .options__control -->
                    <div class="options__dropdown w-100" data-options-dropdown>
                        <div class="options__scroll">
                            <div class="options__header">
                                <div class="options__all" data-options-check-all>
                                    <span>Выделить все:</span>
                                    <i></i>
                                </div>
                            </div>
                            <div class="options__content">
                                <div class="options__item" data-options-item="properhome-alanya-osnova">
                                    <span>properhome-alanya-osnova</span>
                                </div>
                                <div class="options__item" data-options-item="Кабинет агества №2 (Vitamin [83264][93352]Юлия (Skykovaulia08@gmail.com))">
                                    <span>Кабинет агества №2 (Vitamin [83264][93352]Юлия (Skykovaulia08@gmail.com))</span>
                                </div>
                                <div class="options__item" data-options-item="Кабинет агества №1 (Vitamin [83264][93352]Юлия (Skykovaulia08@gmail.com))">
                                    <span>Кабинет агества №1 (Vitamin [83264][93352]Юлия (Skykovaulia08@gmail.com))</span>
                                </div>
                                <div class="options__item" data-options-item="Кабинет агества №5 (Vitamin [83264][93352]Юлия (Skykovaulia08@gmail.com))">
                                    <span>Кабинет агества №5 (Vitamin [83264][93352]Юлия (Skykovaulia08@gmail.com))</span>
                                </div>
                                <div class="options__item" data-options-item="Кабинет агества №6 (Vitamin [83264][93352]Юлия (Skykovaulia08@gmail.com))">
                                    <span>Кабинет агества №6 (Vitamin [83264][93352]Юлия (Skykovaulia08@gmail.com))</span>
                                </div>
                                <div class="options__item" data-options-item="Кабинет агества №4 (Vitamin [83264][93352]Юлия (Skykovaulia08@gmail.com))">
                                    <span>Кабинет агества №4 (Vitamin [83264][93352]Юлия (Skykovaulia08@gmail.com))</span>
                                </div>
                            </div>
                        </div>
                    </div><!-- .options__dropdown -->
                </div><!-- .options -->
            </div>
            <div class="white-block__field">
                <div class="form-label">Диапазон дат</div>
                <input class="form-control" type="text" name="dates" placeholder="Выберите даты" data-date>
            </div>
            <div class="white-block__button">
                <button type="button" class="btn btn-lg btn-primary  w-100">
                    <i class="icon-plus">
                        <svg class="ico-svg" viewBox="0 0 15 14" xmlns="http://www.w3.org/2000/svg">
                            <use xlink:href="img/sprites/sprite.svg#plus" xmlns:xlink="http://www.w3.org/1999/xlink"></use>
                        </svg>
                    </i>
                    <span>Загрузить</span>
                </button>
            </div>
        </div>
    </div>

    <div class="history">
        <div class="history__content">
            <h3 class="fs-4 mb-30">История загрузок</h3>
            <div class="line"></div>
            <div class="table-responsive">
                <table class="table table-main table-sticky">
                    <thead>
                    <tr>
                        <th class="text-left">
                            <div class="table-heading">
                                <span>Клиенты</span>
                            </div>
                        </th>
                        <th class="text-center">
                            <div class="table-heading">
                                <span>Дата запроса</span>
                            </div>
                        </th>
                        <th class="text-center">
                            <div class="table-heading">
                                <span>Период</span>
                            </div>
                        </th>
                        <th class="text-center">
                            <div class="table-heading">
                                <span>Статус</span>
                            </div>
                        </th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                        <td>
                            <div class="d-flex align-center">
                                <a href="#" class="custom-data"  data-bs-toggle="modal" data-bs-target="#custom-data-1">
                                    <span class="custom-data__text">properhome-alanya-osnova</span>
                                    <span class="custom-data__num">+2</span>
                                </a>
                            </div>
                        </td>
                        <td class="text-nowrap text-center">
                            01.01.2024
                        </td>
                        <td class="text-nowrap text-center">
                            <div class="d-flex align-center justify-content-center column-gap-2">
                                <div>01.01.2024</div>
                                <div class="icon-arrow">
                                    {{ svgIcon('arrow-right', viewBox='0 0 14 14') }}
                                </div>
                                <div>01.01.2024</div>
                            </div>
                        </td>
                        <td class="text-nowrap text-center">
                            <span class="badge badge-primary rounded-pill">Готово</span>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="#" class="custom-data"  data-bs-toggle="modal" data-bs-target="#custom-data-2">
                                <span class="custom-data__text">Кабинет агества №3 (Vitamin [83264][93352]Юлия (Skykovaulia08@gmail.com))</span>
                                <span class="custom-data__num">+2</span>
                            </a>
                        </td>
                        <td class="text-nowrap text-center">
                            01.01.2024
                        </td>
                        <td class="text-nowrap text-center">
                            <div class="d-flex align-center justify-content-center column-gap-2">
                                <div>01.01.2024</div>
                                <div class="icon-arrow">
                                    {{ svgIcon('arrow-right', viewBox='0 0 14 14') }}
                                </div>
                                <div>01.01.2024</div>
                            </div>
                        </td>
                        <td class="text-nowrap text-center">
                            <span class="badge badge-primary rounded-pill">Готово</span>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="#" class="custom-data"  data-bs-toggle="modal" data-bs-target="#custom-data-03">
                                <span class="custom-data__text">properhometurkey@yandex.ru</span>
                            </a>
                        </td>
                        <td class="text-nowrap text-center">
                            01.01.2024
                        </td>
                        <td class="text-nowrap text-center">
                            <div class="d-flex align-center justify-content-center column-gap-2">
                                <div>01.01.2024</div>
                                <div class="icon-arrow">
                                    {{ svgIcon('arrow-right', viewBox='0 0 14 14') }}
                                </div>
                                <div>01.01.2024</div>
                            </div>
                        </td>
                        <td class="text-nowrap text-center">
                            <span class="badge badge-gray rounded-pill">В работе</span>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
        <div class="history__toggle">
            <button type="button" class="btn-link color-blue" data-history-toggle>История загрузок</button>
        </div>
    </div>
{% endblock %}

{% block pageModal %}
    <div class="modal modal-custom fade" id="custom-data-1" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                <div class="modal-header">
                    <h3 class="modal-title">Выбранные клиенты</h3>
                </div>
                <div class="modal-body">
                    <ol class="custom-data-list">
                        <li>Кабинет агества №3 (Vitamin [83264][93352]Юлия (Skykovaulia08@gmail.com))</li>
                        <li>Кабинет агества №3 (Vitamin [83264][93352]Юлия (Skykovaulia08@gmail.com))</li>
                        <li>Кабинет агества №3 (Vitamin [83264][93352]Юлия (Skykovaulia08@gmail.com))</li>
                        <li>Кабинет агества №3 (Vitamin [83264][93352]Юлия (Skykovaulia08@gmail.com))</li>
                        <li>Кабинет агества №3 (Vitamin [83264][93352]Юлия (Skykovaulia08@gmail.com))</li>
                        <li>Кабинет агества №3 (Vitamin [83264][93352]Юлия (Skykovaulia08@gmail.com))</li>
                    </ol>
                </div>
            </div>
        </div>
    </div>
    <div class="modal modal-custom fade" id="custom-data-2" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                <div class="modal-header">
                    <h3 class="modal-title">Выбранные клиенты</h3>
                </div>
                <div class="modal-body">
                    <ol class="custom-data-list">
                        <li>Кабинет агества №3 (Vitamin [83264][93352]Юлия (Skykovaulia08@gmail.com))</li>
                        <li>Кабинет агества №3 (Vitamin [83264][93352]Юлия (Skykovaulia08@gmail.com))</li>
                        <li>Кабинет агества №3 (Vitamin [83264][93352]Юлия (Skykovaulia08@gmail.com))</li>
                        <li>Кабинет агества №3 (Vitamin [83264][93352]Юлия (Skykovaulia08@gmail.com))</li>
                        <li>Кабинет агества №3 (Vitamin [83264][93352]Юлия (Skykovaulia08@gmail.com))</li>
                        <li>Кабинет агества №3 (Vitamin [83264][93352]Юлия (Skykovaulia08@gmail.com))</li>
                    </ol>
                </div>
            </div>
        </div>
    </div>
    <div class="modal modal-custom fade" id="custom-data-3" tabindex="-1" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                <div class="modal-header">
                    <h3 class="modal-title">Выбранные клиенты</h3>
                </div>
                <div class="modal-body">
                    <ol class="custom-data-list">
                        <li>Кабинет агества №3 (Vitamin [83264][93352]Юлия (Skykovaulia08@gmail.com))</li>
                        <li>Кабинет агества №3 (Vitamin [83264][93352]Юлия (Skykovaulia08@gmail.com))</li>
                        <li>Кабинет агества №3 (Vitamin [83264][93352]Юлия (Skykovaulia08@gmail.com))</li>
                        <li>Кабинет агества №3 (Vitamin [83264][93352]Юлия (Skykovaulia08@gmail.com))</li>
                        <li>Кабинет агества №3 (Vitamin [83264][93352]Юлия (Skykovaulia08@gmail.com))</li>
                        <li>Кабинет агества №3 (Vitamin [83264][93352]Юлия (Skykovaulia08@gmail.com))</li>
                    </ol>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
